%define module pyscard

Name:       python-%{module}
Version:    2.0.2
Release:    %mkrel 2
Summary:    Python smart card library
Group:      Development/Python
License:    LGPLv2+
URL:        https://pyscard.sourceforge.io/
Source0:    https://github.com/LudovicRousseau/pyscard/archive/%{version}/%{module}-%{version}.tar.gz
BuildRequires:  pkgconfig(libpcsclite)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  swig

%description
pyscard is a python module adding smart cards support to python.

It consists of the smartcard.scard module, an extension module wrapping
Windows smart card base components (also known as PCSC) on Windows, and
PCSC lite on GNU/Linux and macOS, and of the smartcard module, a
python framework with objects wrapping PCSC API.

%package -n python3-%{module}
Summary:    %{summary}

%description -n python3-%{module}
pyscard is a python module adding smart cards support to python.

It consists of the smartcard.scard module, an extension module wrapping
Windows smart card base components (also known as PCSC) on Windows, and
PCSC lite on GNU/Linux and macOS, and of the smartcard module, a
python framework with objects wrapping PCSC API.

%prep
%autosetup -n %{module}-%{VERSION}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{module}
%{python3_sitearch}/smartcard*
%{python3_sitearch}/*egg-info
%license LICENSE
%doc README.md ACKS


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 2.0.2-2.mga9
+ Revision: 1832612
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 danf <danf> 2.0.2-1.mga9
+ Revision: 1775044
- Update to ver. 2.0.2

* Sat Feb 12 2022 neoclust <neoclust> 1.9.9-3.mga9
+ Revision: 1773246
- Rebuild against Python 3.10

* Fri Mar 19 2021 neoclust <neoclust> 1.9.9-2.mga9
+ Revision: 1704945
- Rebuild against python 3.9

* Sat Mar 14 2020 danf <danf> 1.9.9-1.mga8
+ Revision: 1556180
- imported package python-pyscard

